from app.database.manager import DatabaseManager
from app.models.user_model import User

from app.schemas.user_schemas import UserRegisterSchema

from app.services.auth_service import get_password_hash


def create_user(user_data: UserRegisterSchema):
    print("Creating user")
    with DatabaseManager.get_session() as session:
        user = User(
            username=user_data.username,
            password=get_password_hash(user_data.password),
            email=user_data.email,
            phone_number=user_data.phone_number,
            shop_id=user_data.shop_id
        )
        session.add(user)
        session.commit()
